# Class CIM_SAPStatisticalInformation
extends CIM_StatisticalInformation

Statistical information associated with a Service AccessPoint object or one of its subclasses.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_SAPStatisticalInformation

## Direct Known Subclasses

CIM_SwitchPortSourceRoutingStatistics
CIM_SwitchPortSpanningTreeStatistics
CIM_SwitchPortStatistics
CIM_SwitchPortTransparentBridgingStatistics

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Statistical information associated with a Service AccessPoint object or one of its subclasses.
UMLPackagePath | string | CIM::Core::Statistics
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
Name | string |
Description | string | The Name property, inherited from StatisticalInformation, serves as part of the object key.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name
SAPCreationClassName | string |
Description | string | The scoping SAP's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_ServiceAccessPoint.CreationClassName
SAPName | string |
Description | string | The scoping SAP's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_ServiceAccessPoint.Name
SystemCreationClassName | string |
Description | string | The scoping System's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_ServiceAccessPoint.SystemCreationClassName
SystemName | string |
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_ServiceAccessPoint.SystemName

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods